package com.tztzf.network.cosign;

/**
 * ****************************************************************
 * 文件名称 : tztZFCosignLoginError
 * 作   者 : Created by wlz
 * 创建时间 : 2022/7/12 19:11
 * 文件描述 : 错误信息结构
 * 注意事项 :
 * 版权声明 : Copyright (C) 2015-2025 杭州中焯信息技术股份有限公司
 * 修改历史 : 2022/7/12 1.00 初始版本
 * ****************************************************************
 */

/**
 * 国密错误信息对象
 */
public class tztZFCosignLoginError {
    /** 错误号 */
    private int errorNO;
    /** 错误信息 */
    private String errorMsg = "";

    public tztZFCosignLoginError(int errorNO, String errorMsg) {
        setErrorNO(errorNO);
        setErrorMsg(errorMsg);
    }

    public int getErrorNO() {
        return errorNO;
    }

    public void setErrorNO(int errorNO) {
        this.errorNO = errorNO;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public String toString() {
        return String.format("tztZFCosignLoginError{ errorNO=%d; errorMsg=%s}", errorNO, errorMsg);
    }
}
