package com.tztzf.network.callback;

/**
 * 加载证书回调
 */
public interface tztZFNetCosignCertCallBack {
    /**
     * 加载用户证书回调
     * @param userID  当前已经绑定的UserID
     */
    void loadUserCert(String userID);

    /**
     * 协同签名出错
     * @param errorNo 错误号
     * @param errMsg 错误信息
     */
    void handShakeError(int errorNo, String errMsg);
}
